## stellarium 0.10.6-1

=== CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

# Avoid repeating the IF statement in the ENDIF and ELSE
SET(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

IF(COMMAND cmake_policy)
  CMAKE_POLICY(SET CMP0003 NEW)
ENDIF()

########### Project name ###########
PROJECT(Stellarium)
SET(STELLARIUM_MAJOR "0")
SET(STELLARIUM_MINOR "10")
SET(STELLARIUM_PATCH "6")
SET(VERSION "${STELLARIUM_MAJOR}.${STELLARIUM_MINOR}.${STELLARIUM_PATCH}")
SET(PACKAGE stellarium)

SET(PACKAGE_VERSION "${VERSION}")
ADD_DEFINITIONS(-DPACKAGE_VERSION="${PACKAGE_VERSION}")

# Use customized cmake macros
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

########### Main global variables ###########
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF()

IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  SET(APPLE 1)
ENDIF()


IF(UNIX AND NOT WIN32)
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wno-unused-parameter")       # additional C compile flags
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")     # additional CPP compile flags
ELSE()
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -fexceptions -fident -mthreads")
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wsign-promo -fexceptions -fident -mthreads")
 SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wsign-promo -fexceptions -fident -mthreads -mwindows --large-address-aware")  # --enable-runtime-pseudo-reloc --verbose
ENDIF()

SET(OPTIMIZE_INTEL_ATOM 0 CACHE BOOL "Activate optimizations for atom processor.")
IF(OPTIMIZE_INTEL_ATOM)
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mtune=generic -msse -msse2 -msse3 -mfpmath=sse")
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mtune=generic -msse -msse2 -msse3 -mfpmath=sse")
ENDIF()

SET(BUILD_FOR_MAEMO 0 CACHE BOOL "Set to 1 or true if you want to build for maemo target")
IF(BUILD_FOR_MAEMO)
  # Optimize for N900 ARM processor
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -mtune=cortex-a8 -march=armv7-a -ftree-vectorize -mfpu=neon -mfloat-abi=softfp -ffast-math -funroll-loops -DBUILD_FOR_MAEMO")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -mtune=cortex-a8 -march=armv7-a -ftree-vectorize -mfpu=neon -mfloat-abi=softfp -ffast-math -funroll-loops -DBUILD_FOR_MAEMO")
ENDIF()

SET(BUILD_MOBILE_GUI 0 CACHE BOOL "Set to 1 or true if you want to build for Maemo mobile Gui")

# best way to get to APPLE?
IF(APPLE)
 SET(CMAKE_CXX_FLAGS "${CMAKE_C_FLAGS} -fno-common -Wall -Wextra")
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-common -Wall -Wextra -Wno-unused-parameter")
# SET(CMAKE_OSX_DEPLOYMENT_TARGET "10.5")
# SET(CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.5.sdk/")
 # Universal binary
 #SET(CMAKE_OSX_ARCHITECTURES "x86_64")
ENDIF()

########### Check functions ###########
INCLUDE(CheckFunctionExists)
SET(CMAKE_REQUIRED_LIBRARIES "-lm")
CHECK_FUNCTION_EXISTS(pow10 HAVE_POW10)
SET(CMAKE_REQUIRED_LIBRARIES)
IF(HAVE_POW10)
 ADD_DEFINITIONS(-DHAVE_POW10)
ENDIF()

########### Others ###########
# Activate translation with gettext
SET(ENABLE_NLS 1 CACHE BOOL "Define whether program translation should be supported.")
IF(ENABLE_NLS)
  ADD_DEFINITIONS(-DENABLE_NLS)
ENDIF()

SET(RELEASE_BUILD 1 CACHE BOOL "Flag this build as an official release.")

# Activate sound support
SET(ENABLE_SOUND 0 CACHE BOOL "Define whether sound support should be activated.")

SET(ENABLE_SCRIPTING 1 CACHE BOOL "Define whether scripting features should be activated.")
IF(ENABLE_SCRIPTING)
  # (De-)Activate the script edit console
  SET(ENABLE_SCRIPT_CONSOLE 1 CACHE BOOL "Define whether to build the script console feature.")
  IF(ENABLE_SCRIPT_CONSOLE)
	ADD_DEFINITIONS(-DENABLE_SCRIPT_CONSOLE)
  ENDIF()
  SET(ENABLE_STRATOSCRIPT_COMPAT 0 CACHE BOOL "Set to 1 or true if you want to build the Stratoscript compatibility mode")
ELSE()
  ADD_DEFINITIONS(-DDISABLE_SCRIPTING)
ENDIF()


SET(GUI_MODE Standard CACHE STRING "Choose the type of GUI to build, options are: Standard, None, External")
SET(OPENGL_MODE Desktop CACHE STRING "Choose the type of openGL to use, options are: Desktop, ES2")

SET(GENERATE_PACKAGE_TARGET 1 CACHE BOOL "Set to 1 or true if you want to have make package target")

# On WIN32 we need to split the main binary into a small binary and a dll
# This is for allowing to link dynamic plug-ins afterward
IF(WIN32)
  SET(GENERATE_STELMAINLIB 1)
ELSE()
  SET(GENERATE_STELMAINLIB 0)
ENDIF()

# For Windows, the default back end for the graphics system should be "native", as "raster"
# causes problems for many ATI users.  However, for other platforms we should use raster
# as the default as it is faster.
# Mac 10.6 requires native as well.
IF(WIN32 OR APPLE)
  ADD_DEFINITIONS(-DDEFAULT_GRAPHICS_SYSTEM="native")
ELSE()
  ADD_DEFINITIONS(-DDEFAULT_GRAPHICS_SYSTEM="raster")
ENDIF()

########### Plugin setup #############
SET(BUILD_STATIC_PLUGINS 1 CACHE BOOL "Define whether plugins should be compiled statically and linked to the main program")
SET(BUILD_DYNAMIC_PLUGINS 0 CACHE BOOL "Define whether plugins should be compiled dynamically")

SET(USE_PLUGIN_HELLOSTELMODULE 0 CACHE BOOL "Define whether the HelloStelModule plugin should be created.")
SET(USE_PLUGIN_ANGLEMEASURE 1 CACHE BOOL "Define whether the AngleMeasure plugin should be created.")
SET(USE_PLUGIN_COMPASSMARKS 1 CACHE BOOL "Define whether the CompassMarks plugin should be created.")
SET(USE_PLUGIN_SATELLITES 1 CACHE BOOL "Define whether the Satellites plugin should be created.")
SET(USE_PLUGIN_TELESCOPECONTROL 1 CACHE BOOL "Define whether the TelescopeControl plug-in should be created.")
SET(USE_PLUGIN_LOGBOOK 0 CACHE BOOL "Define whether the LogBook plugin should be created.")
SET(USE_PLUGIN_OCULARS 1 CACHE BOOL "Define whether the Oculars plugin should be created.")
SET(USE_PLUGIN_SVMT 0 CACHE BOOL "Define whether the SVMT plugin should be created.")
SET(USE_PLUGIN_TEXTUSERINTERFACE 1 CACHE BOOL "Define whether the TextUserInterface plugin should be created.")
SET(USE_PLUGIN_TIMEZONECONFIGURATION 1 CACHE BOOL "Define whether the TimeZoneConfiguration plugin should be created.")
SET(USE_PLUGIN_VIRGO 0 CACHE BOOL "Define whether the VirGO plugin should be created.")
SET(USE_PLUGIN_SOLARSYSTEMEDITOR 1 CACHE BOOL "Define whether the Solar System Editor should be built.")

########## Static plugins need to define includes and libraries
########## for the compilation of Stellarium itself
IF (BUILD_STATIC_PLUGINS)
  IF (USE_PLUGIN_SVMT)
	SET(QT_USE_QTXML TRUE) # For SVMT we also need QtXml module
	SET(QT_USE_QTDECLARATIVE TRUE) # For SVMT we also need QML module, this line doesn't seem to work right now
  ENDIF()

  IF (USE_PLUGIN_VIRGO)
	## Library for loading FITS image files
	FIND_PATH(CFITSIO_INCLUDE_DIR fitsio.h
	  /usr/include
	  /usr/local/include
	  DOC "Should point to the directory where the include files for libcfitsio are installed")
	FIND_LIBRARY(CFITSIO_LIBRARIES cfitsio
	  PATHS
	  /usr/lib/
	  /usr/local/lib
	  /opt/local/lib
	  DOC "cfitsio link options")
	SET(QT_USE_QTXML TRUE) # For VirGO we also need QtXml module
  ENDIF()
ENDIF()

# Custom target used to manage dependencies of stellarium -> Static plugins
# It is important that static plugins are compiled before stellarium main executable is linked
ADD_CUSTOM_TARGET(AllStaticPlugins ALL)

########### Find packages ###########
SET(QT_MIN_VERSION "4.6.0")
FIND_PACKAGE(Qt4 REQUIRED)
SET(QT_USE_QTOPENGL TRUE)
IF(ENABLE_SCRIPTING)
  SET(QT_USE_QTSCRIPT TRUE)
ENDIF()
SET(QT_USE_QTNETWORK TRUE)
SET(QT_USE_QTTEST TRUE)
IF(ENABLE_SOUND)
  ADD_DEFINITIONS(-DHAVE_QT_PHONON)
  SET(QT_USE_PHONON TRUE)
ENDIF()
INCLUDE(${QT_USE_FILE})

# Get rid of the QtTest dependency for the main binary. It is re-added manually when compiling tests.
STRING(REPLACE "${QT_QTTEST_LIBRARY}" "" QT_LIBRARIES "${QT_LIBRARIES}")
# Get rid of the GLU dependency, it's not needed in stellarium.
STRING(REPLACE "-lGLU " "" QT_LIBRARIES "${QT_LIBRARIES}")

FIND_PACKAGE(ZLIB)

IF(ENABLE_NLS)
  FIND_PACKAGE(Iconv REQUIRED)
  FIND_PATH(INTL_INCLUDE_DIR libintl.h
	PATHS
	/usr/include
	/sw/include
	/usr/local/include)
  FIND_LIBRARY(INTL_LIBRARIES intl c
	PATHS
	/usr/lib/
	/sw/lib
	/usr/local/lib) # NO_DEFAULT_PATH
  FIND_PACKAGE(Gettext REQUIRED)
  FIND_PACKAGE(XGettext REQUIRED)
ENDIF()


IF (OPENGL_MODE STREQUAL "Desktop")
  FIND_PACKAGE(OpenGL REQUIRED)
ENDIF()
IF(OPENGL_MODE STREQUAL "ES2")
  ADD_DEFINITIONS(-DUSE_OPENGL_ES2 -DQT_OPENGL_LIB -D_REENTRANT -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED)
  # Make sure that no desktop OpenGL libraries are linked when OpenGLES is used
  STRING(REPLACE "-lGL" "-lGLESv2" QT_LIBRARIES "${QT_LIBRARIES}")
ENDIF()

########### Set some global variables ###########
IF(UNIX AND NOT WIN32)
IF(APPLE)
  SET(CMAKE_INSTALL_PREFIX "${PROJECT_BINARY_DIR}/Stellarium.app/Contents")
ELSE(APPLE)
  ADD_DEFINITIONS(-DINSTALL_DATADIR="${CMAKE_INSTALL_PREFIX}/share/stellarium")
  ADD_DEFINITIONS(-DINSTALL_LOCALEDIR="${CMAKE_INSTALL_PREFIX}/share/locale")
ENDIF()
ELSE()
  ADD_DEFINITIONS(-DINSTALL_DATADIR=".")
  ADD_DEFINITIONS(-DINSTALL_LOCALEDIR="./locale")
ENDIF()

########### Get revision number for non-release builds ###########
IF(NOT RELEASE_BUILD)
  #Hack until CMake detection for Bazaar is finished
  IF(BZR_REVISION)
	SET(PACKAGE_VERSION "bzr${BZR_REVISION}")
	ADD_DEFINITIONS(-DBZR_REVISION="${BZR_REVISION}")
  ELSE()
	FIND_PACKAGE(Subversion)
	IF(Subversion_FOUND)
	  Subversion_WC_INFO(${PROJECT_SOURCE_DIR} StelSvn)
	  SET(SVN_REVISION ${StelSvn_WC_REVISION})
	  ADD_DEFINITIONS(-DSVN_REVISION="${SVN_REVISION}")
	ENDIF()
  ENDIF()
ENDIF()

IF(ENABLE_STRATOSCRIPT_COMPAT)
  ADD_DEFINITIONS(-DENABLE_STRATOSCRIPT_COMPAT)
ENDIF()


### Generate an Inno Setup project file ###
IF(WIN32)
  SET(CONFIGURED_FILE_WARNING "Do not edit this file! It has been automatically generated by CMake. Your changes will be lost the next time CMake is run.")
  CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/stellarium.iss.cmake ${CMAKE_SOURCE_DIR}/stellarium.iss @ONLY)
ENDIF(WIN32)

IF(CMAKE_BUILD_TYPE STREQUAL "Release" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
  ADD_DEFINITIONS(-DQT_NO_DEBUG)
  ADD_DEFINITIONS(-DNDEBUG)
ENDIF()

########### uninstall files ###############
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

########### Packaging info for CPack ###########

IF(GENERATE_PACKAGE_TARGET)
  INCLUDE(InstallRequiredSystemLibraries)
  SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Stellarium is a free open source planetarium for your computer. It shows a realistic sky in 3D, just like what you see with the naked eye, binoculars or a telescope.")
  SET(CPACK_PACKAGE_VENDOR "Stellarium's team")
  SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
  SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
  SET(CPACK_PACKAGE_VERSION_MAJOR ${STELLARIUM_MAJOR})
  SET(CPACK_PACKAGE_VERSION_MINOR ${STELLARIUM_MINOR})
  SET(CPACK_PACKAGE_VERSION_PATCH ${STELLARIUM_PATCH})
  SET(CPACK_PACKAGE_INSTALL_DIRECTORY "stellarium")
  SET(CPACK_SOURCE_PACKAGE_FILE_NAME "stellarium-${VERSION}")
  SET(CPACK_SOURCE_GENERATOR "TGZ")
  SET(CPACK_GENERATOR "TGZ")
  SET(CPACK_STRIP_FILES "bin/stellarium")
  SET(CPACK_PACKAGE_EXECUTABLES "stellarium" "Stellarium")
  SET(CPACK_SOURCE_IGNORE_FILES "/CVS/" "/.svn/" "/.git/" "/.bzr/" "builds/" "installers/" "Stellarium.tag$" "Stellarium.kdevelop.pcs$" "~$" "\\\\.swp$" "\\\\.#" "/#")
  INCLUDE(CPack)
ENDIF()

########### Macosx Bundling ###############
IF(APPLE)

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_ARMEL/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_ARMEL/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	/targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	/targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/nicolai/devel/stellarium/stellarium-0.10.6/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles/progress.make
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named AllStaticPlugins

# Build rule for target.
AllStaticPlugins: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 AllStaticPlugins
.PHONY : AllStaticPlugins

# fast build rule for target.
AllStaticPlugins/fast:
	$(MAKE) -f CMakeFiles/AllStaticPlugins.dir/build.make CMakeFiles/AllStaticPlugins.dir/build
.PHONY : AllStaticPlugins/fast

#=============================================================================
# Target rules for targets named apidoc

# Build rule for target.
apidoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 apidoc
.PHONY : apidoc

# fast build rule for target.
apidoc/fast:
	$(MAKE) -f CMakeFiles/apidoc.dir/build.make CMakeFiles/apidoc.dir/build
.PHONY : apidoc/fast

#=============================================================================
# Target rules for targets named uninstall

# Build rule for target.
uninstall: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 uninstall
.PHONY : uninstall

# fast build rule for target.
uninstall/fast:
	$(MAKE) -f CMakeFiles/uninstall.dir/build.make CMakeFiles/uninstall.dir/build
.PHONY : uninstall/fast

#=============================================================================
# Target rules for targets named StelGuiLib

# Build rule for target.
StelGuiLib: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 StelGuiLib
.PHONY : StelGuiLib

# fast build rule for target.
StelGuiLib/fast:
	$(MAKE) -f src/CMakeFiles/StelGuiLib.dir/build.make src/CMakeFiles/StelGuiLib.dir/build
.PHONY : StelGuiLib/fast

#=============================================================================
# Target rules for targets named StelMobileGuiLib

# Build rule for target.
StelMobileGuiLib: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 StelMobileGuiLib
.PHONY : StelMobileGuiLib

# fast build rule for target.
StelMobileGuiLib/fast:
	$(MAKE) -f src/CMakeFiles/StelMobileGuiLib.dir/build.make src/CMakeFiles/StelMobileGuiLib.dir/build
.PHONY : StelMobileGuiLib/fast

#=============================================================================
# Target rules for targets named buildTests

# Build rule for target.
buildTests: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 buildTests
.PHONY : buildTests

# fast build rule for target.
buildTests/fast:
	$(MAKE) -f src/CMakeFiles/buildTests.dir/build.make src/CMakeFiles/buildTests.dir/build
.PHONY : buildTests/fast

#=============================================================================
# Target rules for targets named stellarium

# Build rule for target.
stellarium: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 stellarium
.PHONY : stellarium

# fast build rule for target.
stellarium/fast:
	$(MAKE) -f src/CMakeFiles/stellarium.dir/build.make src/CMakeFiles/stellarium.dir/build
.PHONY : stellarium/fast

#=============================================================================
# Target rules for targets named stellarium-mobile

# Build rule for target.
stellarium-mobile: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 stellarium-mobile
.PHONY : stellarium-mobile

# fast build rule for target.
stellarium-mobile/fast:
	$(MAKE) -f src/CMakeFiles/stellarium-mobile.dir/build.make src/CMakeFiles/stellarium-mobile.dir/build
.PHONY : stellarium-mobile/fast

#=============================================================================
# Target rules for targets named testDates

# Build rule for target.
testDates: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 testDates
.PHONY : testDates

# fast build rule for target.
testDates/fast:
	$(MAKE) -f src/CMakeFiles/testDates.dir/build.make src/CMakeFiles/testDates.dir/build
.PHONY : testDates/fast

#=============================================================================
# Target rules for targets named testRefractionExtinction

# Build rule for target.
testRefractionExtinction: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 testRefractionExtinction
.PHONY : testRefractionExtinction

# fast build rule for target.
testRefractionExtinction/fast:
	$(MAKE) -f src/CMakeFiles/testRefractionExtinction.dir/build.make src/CMakeFiles/testRefractionExtinction.dir/build
.PHONY : testRefractionExtinction/fast

#=============================================================================
# Target rules for targets named testStelFileMgr

# Build rule for target.
testStelFileMgr: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 testStelFileMgr
.PHONY : testStelFileMgr

# fast build rule for target.
testStelFileMgr/fast:
	$(MAKE) -f src/CMakeFiles/testStelFileMgr.dir/build.make src/CMakeFiles/testStelFileMgr.dir/build
.PHONY : testStelFileMgr/fast

#=============================================================================
# Target rules for targets named testStelJsonParser

# Build rule for target.
testStelJsonParser: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 testStelJsonParser
.PHONY : testStelJsonParser

# fast build rule for target.
testStelJsonParser/fast:
	$(MAKE) -f src/CMakeFiles/testStelJsonParser.dir/build.make src/CMakeFiles/testStelJsonParser.dir/build
.PHONY : testStelJsonParser/fast

#=============================================================================
# Target rules for targets named testStelSphereGeometry

# Build rule for target.
testStelSphereGeometry: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 testStelSphereGeometry
.PHONY : testStelSphereGeometry

# fast build rule for target.
testStelSphereGeometry/fast:
	$(MAKE) -f src/CMakeFiles/testStelSphereGeometry.dir/build.make src/CMakeFiles/testStelSphereGeometry.dir/build
.PHONY : testStelSphereGeometry/fast

#=============================================================================
# Target rules for targets named testStelSphericalIndex

# Build rule for target.
testStelSphericalIndex: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 testStelSphericalIndex
.PHONY : testStelSphericalIndex

# fast build rule for target.
testStelSphericalIndex/fast:
	$(MAKE) -f src/CMakeFiles/testStelSphericalIndex.dir/build.make src/CMakeFiles/testStelSphericalIndex.dir/build
.PHONY : testStelSphericalIndex/fast

#=============================================================================
# Target rules for targets named testStelVertexArray

# Build rule for target.
testStelVertexArray: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 testStelVertexArray
.PHONY : testStelVertexArray

=== data/CMakeLists.txt ===
########### install files ###############

INSTALL(FILES stellarium.ico ssystem.ini base_locations.bin.gz DejaVuSans.ttf default_config.ini DejaVuSansMono.ttf constellations_boundaries.dat iso639-1.utf8 iso3166-1-alpha-2.utf8 countryCodes.dat DESTINATION share/${PACKAGE}/data)

IF (BUILD_FOR_MAEMO)
  INSTALL(FILES stellarium.desktop DESTINATION /usr/share/applications/hildon)
  INSTALL(FILES stellariumMaemo.png DESTINATION /usr/share/icons/hicolor/48x48/hildon)
  IF (BUILD_MOBILE_GUI)
    INSTALL(FILES stellarium-mobile.desktop DESTINATION /usr/share/applications/hildon)
    INSTALL(FILES stellarium-mobile.png DESTINATION /usr/share/icons/hicolor/48x48/hildon)
  ENDIF()
ENDIF()

IF(MACOSX)
INSTALL(FILES Icon.icns DESTINATION share )
INSTALL(FILES Info.plist PkgInfo DESTINATION . )
ENDIF(MACOSX)

=== data/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_ARMEL/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_ARMEL/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/nicolai/devel/stellarium/stellarium-0.10.6/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles /home/nicolai/devel/stellarium/stellarium-0.10.6/data/CMakeFiles/progress.make
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 data/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 data/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 data/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 data/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== doc/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_ARMEL/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_ARMEL/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/nicolai/devel/stellarium/stellarium-0.10.6/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles /home/nicolai/devel/stellarium/stellarium-0.10.6/doc/CMakeFiles/progress.make
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 doc/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 doc/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 doc/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 doc/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
doc/CMakeFiles/ManPages.dir/rule:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 doc/CMakeFiles/ManPages.dir/rule
.PHONY : doc/CMakeFiles/ManPages.dir/rule

# Convenience name for target.
ManPages: doc/CMakeFiles/ManPages.dir/rule
.PHONY : ManPages

# fast build rule for target.
ManPages/fast:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f doc/CMakeFiles/ManPages.dir/build.make doc/CMakeFiles/ManPages.dir/build
.PHONY : ManPages/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... ManPages"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== landscapes/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_ARMEL/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_ARMEL/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/nicolai/devel/stellarium/stellarium-0.10.6/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles /home/nicolai/devel/stellarium/stellarium-0.10.6/landscapes/CMakeFiles/progress.make
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 landscapes/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 landscapes/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 landscapes/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 landscapes/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== nebulae/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_ARMEL/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_ARMEL/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/nicolai/devel/stellarium/stellarium-0.10.6/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles /home/nicolai/devel/stellarium/stellarium-0.10.6/nebulae/CMakeFiles/progress.make
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 nebulae/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 nebulae/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 nebulae/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 nebulae/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== plugins/CMakeLists.txt ===
IF(WIN32)
  SET(CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS} "--enable-runtime-pseudo-reloc")
ENDIF()

ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_DLL)
ADD_DEFINITIONS(-D_REENTRANT)

IF (USE_PLUGIN_HELLOSTELMODULE)
  ADD_SUBDIRECTORY( HelloStelModule )
ENDIF()
IF (USE_PLUGIN_ANGLEMEASURE)
  ADD_SUBDIRECTORY( AngleMeasure )
ENDIF()
IF (USE_PLUGIN_COMPASSMARKS)
  ADD_SUBDIRECTORY( CompassMarks )
ENDIF()
IF (USE_PLUGIN_SATELLITES)
  ADD_SUBDIRECTORY( Satellites )
ENDIF()
IF (USE_PLUGIN_TELESCOPECONTROL)
  ADD_SUBDIRECTORY( TelescopeControl )
ENDIF()
IF (USE_PLUGIN_LOGBOOK)
  ADD_SUBDIRECTORY( LogBook )
ENDIF()
IF (USE_PLUGIN_OCULARS)
  ADD_SUBDIRECTORY( Oculars )
ENDIF()
IF (USE_PLUGIN_TEXTUSERINTERFACE)
  ADD_SUBDIRECTORY( TextUserInterface )
ENDIF()
IF (USE_PLUGIN_TIMEZONECONFIGURATION)
  ADD_SUBDIRECTORY( TimeZoneConfiguration )
ENDIF()
IF (USE_PLUGIN_SVMT)
  SET(SOURCE_SVMT_PATH "../../svmt/" CACHE PATH "The location of the SVMT plugin main directory i.e. the one containing the top level CMakeLists.txt")
  ADD_SUBDIRECTORY( ${SOURCE_SVMT_PATH} svmt )
ENDIF()
IF (USE_PLUGIN_VIRGO)
  SET(VIRGO_PROJECT_PATH "../extmodules/VirGO/" CACHE PATH "The location of the VirGO plugin main directory i.e. the one containing the top level CMakeLists.txt")
  ADD_SUBDIRECTORY( ${VIRGO_PROJECT_PATH} VirGO )
ENDIF()
IF (USE_PLUGIN_SOLARSYSTEMEDITOR)
  ADD_SUBDIRECTORY( SolarSystemEditor )
ENDIF()

=== plugins/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_ARMEL/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_ARMEL/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/nicolai/devel/stellarium/stellarium-0.10.6/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles /home/nicolai/devel/stellarium/stellarium-0.10.6/plugins/CMakeFiles/progress.make
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 plugins/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 plugins/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 plugins/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 plugins/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== po/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_ARMEL/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_ARMEL/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/nicolai/devel/stellarium/stellarium-0.10.6/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles /home/nicolai/devel/stellarium/stellarium-0.10.6/po/CMakeFiles/progress.make
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 po/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 po/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 po/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 po/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
po/CMakeFiles/generate-pot.dir/rule:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 po/CMakeFiles/generate-pot.dir/rule
.PHONY : po/CMakeFiles/generate-pot.dir/rule

# Convenience name for target.
generate-pot: po/CMakeFiles/generate-pot.dir/rule
.PHONY : generate-pot

# fast build rule for target.
generate-pot/fast:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f po/CMakeFiles/generate-pot.dir/build.make po/CMakeFiles/generate-pot.dir/build
.PHONY : generate-pot/fast

# Convenience name for target.
po/CMakeFiles/translations.dir/rule:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 po/CMakeFiles/translations.dir/rule
.PHONY : po/CMakeFiles/translations.dir/rule

# Convenience name for target.
translations: po/CMakeFiles/translations.dir/rule
.PHONY : translations

# fast build rule for target.
translations/fast:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f po/CMakeFiles/translations.dir/build.make po/CMakeFiles/translations.dir/build
.PHONY : translations/fast

# Convenience name for target.
po/CMakeFiles/update-po.dir/rule:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 po/CMakeFiles/update-po.dir/rule
.PHONY : po/CMakeFiles/update-po.dir/rule

# Convenience name for target.
update-po: po/CMakeFiles/update-po.dir/rule
.PHONY : update-po

# fast build rule for target.
update-po/fast:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f po/CMakeFiles/update-po.dir/build.make po/CMakeFiles/update-po.dir/build
.PHONY : update-po/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... generate-pot"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... translations"
	@echo "... update-po"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== scripts/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_ARMEL/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_ARMEL/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/nicolai/devel/stellarium/stellarium-0.10.6/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles /home/nicolai/devel/stellarium/stellarium-0.10.6/scripts/CMakeFiles/progress.make
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 scripts/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 scripts/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 scripts/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 scripts/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== skycultures/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_ARMEL/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_ARMEL/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/nicolai/devel/stellarium/stellarium-0.10.6

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/nicolai/devel/stellarium/stellarium-0.10.6/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles /home/nicolai/devel/stellarium/stellarium-0.10.6/skycultures/CMakeFiles/progress.make
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 skycultures/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/nicolai/devel/stellarium/stellarium-0.10.6/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 skycultures/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 skycultures/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(MAKE) -f CMakeFiles/Makefile2 skycultures/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/nicolai/devel/stellarium/stellarium-0.10.6 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
stellarium (0.10.6-1) unstable; urgency=low

  * include stellarium mobile gui

 -- Nicolai Hess <nicolaihess@web.de>  Sun,  9 Dec 2012 23:49:32 +0100

=== debian/control ===
Source: stellarium
Section: user/science
Priority: extra
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5), cmake, debconf, libgles2-sgx-img-dev, opengles-sgx-img-common, libqt4-dev, zlib1g-dev, libxdmcp6, libx11-dev, libfreetype6, libpng12-0, libdbus-1-3, libice6, libxrender1, libxext-dev, libfontconfig1, libdbus-glib-1-2,  libsm6, libgconf2-6, libexpat1, libxau6, libglib2.0-0, liblocation0, liblocation-dev, libglib2.0-dev
Standards-Version: 3.7.2

Package: stellarium
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, stellarium-data (= ${source:Version})
Description: real-time photo-realistic sky generator
 Stellarium renders 3D photo-realistic skies in real-time. With stellarium, you really see what you can see with your eyes,
 binoculars or a small telescope. 
 -
 Some features: 
 * Over 120000 stars from the Hipparcos Catalogue with name and infos for the brightest ones, 
 * Planets in real time, with a powerful zoom mode to see them like in a telescope, 
 * Drawing of the 88 constellations with their names, 
 * Drawing of more than 40 messiers objects (Orion, M31 etc..), 
 * Photorealistic Milky Way, 
 * Ground, fog, and landscape, 
 * Clickable stars, planets and nebulas with informations, 
 * Windowed and fullscreen modes. 
 .  
 Stellarium should not be used for very high accurate calculation or ephemerids like eclipse predictions. However, it is the ideal
 program to prepare an observation evening with naked eye, binocular, or small telescope.
 Homepage: http://www.stellarium.org
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9wMAhEbERizcVEAABHO
 SURBVGjelZrJj2zZUcZ/EWe6Q46VVfX6vX6v2+BBRoDxygjYIEDAgi0bkFix
 YcXwH7BjwwqJFUvYIMECIQNCGLcxBhYMthpjsKHdmLZ7ePVqyulO57A4N7Py
 GYRMSqm6ebPqnog4X3wR8Z0SIIHwv74kf/vS5//zJf/jT+XbPogIJEgkUuI7
 en27GfmVICUsCEyfQX0JCog8rCqnRkn+jtGIk69UZFxEKL3FGuV8UtHFSHCG
 RVmy7XoupjWPz8+wRvj6e1f841vv0MXRtNGbdOLceIezOnC3bRiSkFKkLgP7
 9S3N23+PBbLxFx8DIqgeDc0/R8PHaxmvD36KCEaV4LLhT89mqCiLMnA+rakL
 z9mkZlmVnC0mnC+mvHqxYtO0/NHffYk/+MIXaWMGQUqRGBNxdCbGREqJjQrF
 mYIktvue7/7QJf/51n/QvP0PowMKSDpuCymdOJHDIuQHKIIi468IThXnlNXE
 E5xlXjjq4DmrSuZlwaIumBaeVy7mWKOUVmn2Wx6fL/jFn/4hYOD3P/9PgJJI
 qERiiiDQExHAGYsQadqeYOArX38XbVsQDg4oqIEoJ4h5iLyMb+XkWmBSeKw1
 TAvPvCx4NJ9yPqkovGMSsiOruqQIDmeUs1mNsYazxZTZpAaBX/3Zn+L59T2f
 +5e3EFVizGYMMXG5mHJzv2UYBlICa7Jx1ihDp/n6IcwnUDnJARVB5WVYiSqV
 t0zKwKouKILnvK6ZloFlVXExq1ERSu+o6sCsKrk8m+JDQEQIwbFaLeiahpgS
 v/nLP8eP/8pvsOsSSYUUc/TbtkUVSDIun05gzBE82bgD9g9RV8GowYz3jSqq
 SukdizqwqAteXU65mM94PJ9zMZsyC4FZFVhOaz787JJnryypnOO1J+e88soF
 s2nNZFIxn01QBWMNVpTHl2f89q/9Al3X4oxireKMEqxiEZ6uSmJMGBWsgFPB
 6qkDh+irHiFiVFEREMWaw32lTxEQquCZVRUX0wnLquS8KvmeZ495NJ+iKdLs
 G7zzfM9HX6OqSoK3rM4XPHtyQVUUDG2X1zHK0PT82Kc+wc986nshRZwqq2mA
 mPBGubpt+MR3X6IRrGYHRjRhEUCzoULKfogeqdKo4q2hGfKDi2A5n9Z8+HLF
 k+WM82mNpMRrF0u8VawKlxdnxJRYzaeoKlVV4JxjWhYYVSJgRNg3DVYzPOIQ
 +aWf/Uk+98WvYtXQNAMKWBVUhH//xgcEN9qo4K1m0w+8rprfZtyFA9blAB2X
 Mb+sSh7Nprx6tsCrcr/Z0fUD682W9XZPjIm7uw2FtzinTOsi58pqjgKRhA8O
 dYa6Kkgx0fc9apSPfegJP/rJjyAkvDV4o3iT4bSYFFgFYwSrghmTwIIgCEYy
 TcqhgImiY6Sq4CispQye11dLHs2nfPjijA9u7yid43xWMZtkmMymNZMyUNcl
 dVVRlYGqKrHOEhGSAUWIJJp9wxAjdojcXd8xXUz5iR/8BJ//0tdwzmEVun7A
 JMWpMFiFlIklKQ8sJJqTljRinUyThXNYIxTOUTmHt5ZHdcXTxRRrhLNJxaT0
 lD47F7zh8nyJpIGy8Dir+MJTL2pICWMcRzKJiqjBeyXFxHa9YTat+ejTx1xM
 S9phwFrPZpuZyhthUM01STVfvwwhg1XFiGDGhFVVLmcTJiEQY0JV2A89pIio
 UHmLt5mphqEjDpH33nvO1dUtVpUieIxINh7FBJPhaYQ0pFwIgycJWGuIQ2RZ
 V3z02StYEYhxhFGuytYIzgreCE7lYQeMaMZ+OjRYB94VbrcNKsJykitr7TxV
 VbCcVMwmFW3bELyjKj339zuCt5Qj3+/2LWot/a5nECFtIyZYhn6gbzuMMSNa
 FaOGruuYTypef7zi37/xrfydU4Y+txlWFVJEVRlOHeBQrFLKcCLlHciuoKoU
 3vHJ1x7z+sWSD716wXa7I6VIcBZvLVYNl6s5RXDsdg3XN/dUZcFmu+Pt/TdZ
 TGtCUbBYTrHeoio0TYsxJVVVMnQdqobZIvDofIEA3igaE9EKMcrY5WR67zU3
 kPZYx0RJGo9dpRHBGgUB5wzbduBqveO7Hq94cX2LEaHwDmstpMS+aQFPWQSq
 MjCpStQa3vrGu3zzvRfMJyWvXK5w3jGzNbc399R1RRwiUQdCCLnyq2E1nxIk
 M45iiJLbC0hHKHfmZAcEBRVkOLQPud9w1uCsxarFGmE/RJqmZVEFSu8ogmc2
 rbCqrDdbjApt0zGfV4gKTdfTNB2SEte360yX1vCMS957fs2s7Tg/W7Df75jO
 pvRdBza3IIUzYJRBBuKQi6wKDP2Ayrc5cNqweWtAIFhL8DYnmhXq4FnWBcE5
 nLWE4DNfO0scYk7CfqCoM4S2+5br2zU39xsSsJzWNH1P3/W8/+4VdoRdGgba
 rmMYBqx34ATnDGVwDCkxkIhATJEUI95kxnQqD92ojm2xUUNdePohbxMpYY1m
 A8qCR5OSwlsuVwtEwKkydB3DkKiKkA1JieAt71/d0nUdzihiDb5wLMsZITg2
 ux1PH1+gkthuN8wWc2zhEGMgQRwSVnK1bYlEEUhCGhNXVdif1gEjQuUdXh2I
 YE3EGmUaPH2KnFUlT5czVpOSWVUQvKNrO0JwdF3HMPR4V1CVHhFhv28BaIdI
 VQa8s6QEFxdn7Js9zliurm7YNy3TumS6nKOVITYRSYau2UNMlKWHGImSSCnX
 KZXci13OCwQZHRhbCG+Ftu8prCG4/P74asWqLjmblJDgnfdvaLqei+UEFbhf
 b2i7Pvf5yznWCDc3a65u7vmu117BGcN2t6NtOna7LavVgqHtuLlbc7feUhae
 2GWj1Bq6tuXufouzSux7nIF4GFFSbq2ddzy/74A0OmAUq4Z+GLCqeGMI1jJx
 jm7oWU5K3r/b8PxuSx8HrCaeXCxp2p7NrmW93TGfT0kxMludcXe/xY+z8Xaz
 Y9fsefXpIxbTmg8+eMGkLmm7vIPeWXzls4UGNnd7bm5uCc5gJGb6JMM4F6mE
 SREvJ0k8RJiUgdQ3pBipvGMSPIs6MMTIV9+94uNPLhASX3v3ivduN7xyc8ty
 NmU+Ldm3LfebHUNMXN9tUBGePblgtZjyraah30X+6xvvslnMuL69IyUyEXjH
 crkgeE8aa9B2u+P66gXBZFT0fSKNSgYiSMoM6e2JA9bkaV8QqiJQe0sdHH0/
 YIxSWMPdZsukCLx2NgeBpu1p2hbnHLum5+7dK1bzCd4Kjy7OmU9Ktrs9qopR
 YTqpMSJ45xBVXn/6iEld40pP6iMaDShcX91wfXVDcIaUetRIxj+a9yGBNWQ2
 OuSAMwZBmJaeYA1mnHkL60ATQ4wYVc4mxXHev7vf8q2rW85nNV0/UBSeIjhI
 kSHmhV9cr+n6nsVswuuvP+Xm+Qu2zR4V8N7Rdx1d21DVNYjQNi1f++p/YI0S
 DAxRSPKA/cPwa63iT+uAM8Kicsy8pbSWIUWsyczkrLKsSj729JyzWZ3bX+fZ
 N3ueX98TvOViOaeqAuv1FrGOuiypy4JmUtL1A85ann/wgjj0OGMYYuS9968o
 C890OkWdhZjYrfd8+c1/pSoskvJAk1JucUbWRMnRD+NMabNsodTes6oLLqcl
 79zcYXVUG6rAa4+WVIVnMZsgIjRdy3y6xNusi12czylDYHU2o217Cm8wxlBX
 JbvdniFB12XIhcLTdz2b7Y4iONqmIZW5z3/zi28ydB3Bak7ecVIzKihpRIZg
 rRLMSSHzxjKrSs5nFefTkrNJhbXK4/M5m+2e4C1N1/H8+o6y8Lz9zntZWVjO
 OV/OmJQFzlkWZzOquuTq/RcY5xDZj3M19H1kSBGS4J1FBa5vbnny5DGCsG92
 /M1f/R1lsGiKJCBFYXa+ZH39IneuAkLCGcWpeYBQSrnyld5Ql4GzxYTSOzbb
 PSLCtK7o+x5nDVXhWS2mNG1LGjrW621up6uC0ntIifmk5na9xnpHqdDHPCKq
 Qt8P+OByVEWpJiUAn/2Tv8CI4EyCmEATRi3N+o5QOCTFsTsG7xRnx3zIfY+h
 8h6D0PU9KUYg4axSV4FhbOK6Ps/N3lucNcQ4EOPA/f0GUqQMDkhMphOGYWDf
 dCyXc4IzrO83rPcNoXA4m2lxNp9hneErX3qTf/3yVwk+T81yQHuKuMPwLopK
 QlVxzuDcMQeEWRWog0UkyxbWGow1+AR26BmGnqbrSfvIft8ym9R472jbLDTF
 NLDfN9ze3VPXJXe39zS7hrIMnC1mNM2etutwo96TUsIYw+rxOde3N3zhjS9Q
 FFk+zDN5QkbNXOXwHhVBBe8EZ06UueAcr57PKTQzkrWWaVVyc3fHdtcg4y7Z
 4EgJYuzpujRKfREwOGeJcWC93tC0HSpKCJ4XVy9Yb7fs9i1FcKQUISlPnj3m
 fnPHG3/xlwx9hzWZ4zWNMoOeGC25uVQSqhDG0RLAppR4sd5SVyVPVxPu7zfE
 occIlEWg2TcYVYxmaCYU0SyBG2MIwWdlmVzcdBxFqyoQh57dvqXr8/2YImUI
 1HVFN3R8/jNvcHd9TUaDoBJz5EedzZhMp+bgxCiEeWdw9mSov17veOPLbzFf
 zvnej7+Od4ambanLgiePVswmJWoUMYJIJJHwzmGtA6AMHmuFYRgYYsJ7lyv0
 vmVIiRgj/TCgKedVFzv+/NN/yma9xjuD0YQ1uSMwVrBW8FZxCt5muDibDfdW
 slZkNU+Sh2706+9f8Vt/+BnWXeKT3/dRiiKQYmR1fsZsOmFaV4gYnPN4m5No
 UgXm05IyOArvqcrA+WrK2WLCdF5TViGzjcnnB0UIXL14zp99+k/ZbzYwdGiK
 GAWrEWs4qg5WBWcY18pDjreaHXP6AKGDfFh7xwc39/z67/whP//TP8yPfP9H
 YBjYbrZcXC4J/oKhH7i9XbPZNVkhM1m5M6Mgq6MM6IvMXHHoYVTZ+m7PP3/5
 33jnv96hCBY1QBpQk8g1acT4mLBGGan25POYxMFlR47aqDGCswavESPwe59+
 g7/94lf4qR/6AT7y9BLvHZO6QkVYnS1Zb7eZ80nsm4bdbk/TdRijxJS4vbmh
 HwbatmPoO55/8D5vvfU2QqQu7ah6ZI1TR6Yxh9OekXWMZsHcaMKKZGdUMEbw
 XnHuZAdUMr2J5MG5qCuubu743T/+LM8erfi+j7zGs0dnLCYl58sZZXB0w4C3
 St/3uRUW2O127Pd7mrbjfr1mu1nz4sULhr7Lwq9INlxypI08OKAH45UHJw55
 IRmGxuRdCCOcTkbKrALnbcyfnVGsN9zerfnrv3+TKjjOlxPmdUUVHEah8g4j
 mVZjjKTY03UdXd/SNy3WSFbT3FiExshmGScdI2/kICyfOKaj8ZptM2P0jeZG
 zlrzoAsdlelRYjfCQ+NkBKcGY2Cz3rDfbFAjeAU3OqojXu0YIaNyZBc9GKtg
 xzMw1ROoiKCaXsK4VdDReDcab1VQM8r9LqvWyMlM7FSQKExLS9cNWc9UMKQs
 PR65GbxKLnjjYofImLH4WMnYVT3gWbCjE4piJI0Jmo6wUBWspiPW83PH6I8i
 m9HDDpjTiWyMtOaq13VxNFQxxPEBKS+mGccqETP+XcZuGvEsOB2vjzuSjtE+
 HGZkyOa+RiWfLx52z6ocDc87o1nykfw8VSW4XAse5gFVwihMHQ1VsqI84tbK
 y+8MiXEHTowyh4hrOirdmRLH54y7coSRebhvDzg/rGlszsfxvtWHHDic0OQc
 GDk9ZiXy+AAzMoM7UJmAlYQdD9vy9h8gyHHrM3OkkwQcf/fAMGPCHiGoJ06a
 B8zbsYVxRk6gJXinmJdZKCcroiM0spDh9GFRp/lt5SFa9oDVkyS2BwPGyDuT
 E9OYg+bKS46d/tQTxjkeJ40T2CFQoopYhxp3qkqYXJgiiGSxSIg52iYnYGYc
 jpA4OmAzZp3KkTbtkcN1hMIYeZPbg5d2cHTeyWkg5GHnxs/Hw3gx4DzOhYMD
 id3mlpvn34TYj5SX0HECypUwjcyiD9AaGeOlLR8XVn0oSOalpDzkzMhYByPJ
 Th4S/UDLRhgbSIOoQcTkY1/r+Lf//ICYUj4OUDVoPhL/jv/95X+9K9/Bf+Sc
 /r38f9d4eMUEbdfx3+OQY7ZPXsGlAAAAAElFTkSuQmCC


Package: stellarium-mobile
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends} stellarium-data (= ${source:Version})
Description: stellarium mobile gui.
 stellarium with alternative mobile optimized gui.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAA7UgAAO1IBofR7VwAAAAd0
 SU1FB9oDBBUSAjukCAoAAA7SSURBVGjezZnZj2XXVcZ/a+197lRdY7u7ekh3
 u+PYbseJYzzEcZKHKBEBEYLIS+APwHkACSHxjJB4AikCoYjXPCFF4YEHxBNE
 RjiTYitO4imx8ZAe3LZ7qO7qGm7dc/Zei4d9zrlVtoOcAcgpbdW959y77/rW
 +taw1xKRuOtuKiL8yi5/x4tfdBsT2FTVHw+Go3958IGHvvb1f/rajRMnjjng
 7u4CYjEMZWFyBNzfIYfjvRwi8HaY7n5A3nbng8Lv+4C/bfeyo/ffxdvX4lhu
 SLaHeQIMEbk5GS/+2Ze+9Ng//+3ffXkPcBHUVpdvlw+f+0PMUg/C+00d9/Iz
 qgo4Ij4Xvls4bkZOGTcnW8LccPN2y1YdBojh7gjt99xbwR338szcMHNyqpnW
 17k5fc336qvinhkOx3/12GOPffkrX/n7mYiorS6dkfvOfRHzTKeEXmP7tK8q
 89etObofNzNSMrJl3DOWjZxSK5eD9CrGCwrAehuAzfdyw8xws7JPNnDY3D3v
 Gzs/kWx7LEwW//jJJ7/3VRFRW1s+I/d/8A8wy/TK6sztRWJVRVQIIoiWpTq3
 guVcAOSMWSInI2cn54xIpwibW1gc6YVvrdMKj4O7YZaxnMm57OsmbO6e96u3
 nhH3vPfQg498MHYq7bXb6l5Ueu2IFOFFBBVFg6IaEBEQx81JOaMx0zRCTgGR
 hCiINC3HHScgFD6K0FOxe14NI5aNelYDjlkgZ0MtoUnJKbOycLvs1ld8e3pp
 9OxzP/pShEKHYSWYdV461w0iBUBrBQ2FSgWw9r6iQWmyls9j5E7AVkiZe2kr
 PD0YAMuZEyeOcOzEGi+/dImN65vgxYI5K1kzSRMpZW5bvFt29i7T1PXvtwBg
 NFCyK+KtENqrqWgaQUN5r1LoU1UVR46ucuXKTXZ26mIxB9eMC6g4ooq79VSR
 Xi8tEKS9Z1y9ssmnf/MhHv3kh/n6P36Da1duEGIg50RqihILCw4Tw4Qmbd8V
 ROQvFxdW5c4z9yGqDKJSDQLVIDKoAoMqMBwEYlRiVKoYiCEgDocWR5y79zQ3
 NraY7tb7nLQTTltfUVSVGAKqgRiUGCMxhn6FKuLuTHdn/N4XPsGJk4d58ccX
 aZpc/E+kBVsYsb37ps+aLY0AQYXRMGJuhKCIhpYugqiWeGGOAW7FNzwI0509
 vvkfP0QkUEVpwyCEIJAFDyBWfrDwvtNgb1xUO5o6gypy6eJVXn3lMp//wid5
 6cVL/OfjPyA1qffB8j0jxqEAxBLfhfEw4C6EqIQYCTGgQZHCVMwhZyflEp8t
 g5oQQ0XK0DRG0NYfgyDefq+no/aaVKX9L21InrtczsbrF6+hqvz25x7hv168
 xOuXrhRlShfGDdUAQPEBhdFQASHEQKwisQqIKGbeBX5yclLKpCaRFMyUbIa4
 4WpILJzGS2BwB3MFUYTOonNKiXbWkAMRaWtryvVrm9z/wJ3c8YETXLtyk5xz
 H7AEK0rpAAQVJqMSUWJVAGhQxpMxx0+ts7dXc+H8G8RKiA0kdVJycjaaJKiX
 OJOzI16EiabkUlfgon0kE1UkKEFLOJ7Tgt7B3YWUDIC77znDC8+fZ/vW7rzq
 8IyKtgAEgsJkqJh4cdZKEVUOH17k4596kKtvXefNS29AVJJC0EisjbouSSeo
 IgJJjKBOMkhJCA5QLEAnfEclLSBEtaWS9GXLZDKiqkqKOnP7OkuLC0x3S5Sz
 4IRAT6feAuORYu6EqMRK0BjIzR4vfP9ZprszFkYVBiSBpNCII6KEANmMIEIO
 SsoUACqU4KmtagXR0CbFck9DC6AFB5CTceToMouLYwCWVg4xGg8JMbQ+4oTo
 cwDS+sB4WPisEUKEEMDTjIuv/BQcxoNANiOr0gDBjaiBlIUmQVRICTQr0Qyr
 IFkLAMV7C4TCX50nSJE5yMnCkBMnDzMaD+iSbKgiIYRi7WhY9lKLHfCBoZLM
 EAUNjgQDgSoI7oK7EwyyCYoQJNA0TlAlqpCDFSDJSKbg5bOG4PtoROcPbUSa
 k19omszZs+ucvv1oX3Tv7OzhBjHEEqI1k4P2DhMBYoBDY6FOgrclgGgpuLrq
 1NzICmol7KnA+vF1bm1usb01JWelikaThZRpK0rFyob7QLQLaeutIoybIxL5
 8P1nOXX6SA/gzTdu0NQZDQE1Q0Mg6D4K0SaTyUgIjbSlADi5rXWKBbJDbmN8
 DhAEjr3vNiCT6hnmxXFjMlJ2zCPZSkTxlkKdQzuhBSXlvgt1Ttz3kbM8/Mjd
 7D8d/vS1K+ztNQVANkRy8SXtfUAIQVgYFipJqw2jaLEAKPE8t0nNTUiqXPnp
 eVKTmYy094OgwmA8ZnNzm0oUN8FQXMoq2tcCqlVKaox77j3NZz/3MEvLk174
 V15+gytv3ejLedW2GlbrP9NSSFgcKzHkVmMl8/bUcXCkAGizcIqCWYPEEkZj
 cJpcNj955hjvH0944ennSySSgLc0MhRccYrTV1XgQ4+c4+Of+giLi5MDx9Xv
 fefHXLt6i6BCSWNzPyrBoQOgsLQQqaJh1tY9DtmdbEVLZoa5YFHaI6OQXcgG
 yZyUIWShCoGrF87zyG99mnsf+hDPPfUMF16+wHS3wXEyhgGj8Zjb7zzNvQ/c
 xfGTt7XH1fn13W89z4vPX8DN2qNVV3prW6a3FhCBGJXFSSCEUDSfi+BmLQBz
 kklLK8hZSS4tQCGZkrNTZSdnqFV45olv8ejvfJZPff4zpCaxdfMWu7tTcGG8
 MGZpZbHwuqOtzx3zmR+8wjcf/xG7u7uoeH/Qx7qzhB5MZDEISwulzDUHb4Xu
 tJtbwYrQUp6lNuN2K0DOQpOMGALJjKf+7Ruc++jD3Pkb97F29DCr+7oenQDe
 3hMRcs489Z0XeOLxH7K5uVMSXBsGu8O+93vsAyCixPECAw1gVj5sbdVpViyQ
 6AE1LuQkNG3WLaGz1EcxCMkgm5LceempJ7n8yqvc9eD9rJ8+1VPF94FpmoaL
 r17me996lguvvUmTnCCFwrh1oaM/eu6/SsERKhguAYPyBTPEMuoZt0xlCbeM
 ZS+CmpMipYxO0Fgp6pqghUImPbVShL1bG3z/3x9HB0NWjq5zaGWFECtms4aN
 qzd54/I1Nm9ukwyCOlmK0F0ahO59awGbt05iV6MwXkIZgJe2CGbgGbGMW0Jy
 Qi0RLbVWMVIqlmky1BmaJNQZYipWaKyUEykIMUCTGq5fusSb5y/NFZGFnLuM
 bxiGYKgYItaDEC9L2wx10AIaYbSEWiw9m261mhdPkDNYAzmjlhBriFUip0yV
 nKoFMMhQJ6izEBM0VqgWtCRMzaCpbQzklsluBDWCGLkFIL5feCstmd4S70ah
 0SLisaVQbn0hI5ZwS5BTAZQbxDKSE+41ISZCaog5M8hOnSAmqBLMAoRUaNHk
 tgShb1SUJpY4JkZUJ4ujUrKFYKg7Kta+LxTqmgFdv7KUEiHCoTWC7rbaLx7r

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cmake . -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_INSTALL_PREFIX=/opt/stellarium \
	       	-DOPENGL_MODE=ES2 \
		-DBUILD_FOR_MAEMO=1 \
		-DBUILD_MOBILE_GUI=1 \
		-DUSE_PLUGIN_ANGLEMEASURE=false -DUSE_PLUGIN_COMPASSMARKS=false \
		-DUSE_PLUGIN_SATELLITES=false -DUSE_PLUGIN_TELESCOPECONTROL=false \
		-DUSE_PLUGIN_OCULARS=false -DUSE_PLUGIN_TIMEZONECONFIGURATION=false \
                -DUSE_PLUGIN_SOLARSYSTEMEDITOR=false
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/stellarium.sgml > stellarium.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/stellarium.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	dh_install --sourcedir=debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
